org.red5.server.net

## Interface IHandshake

All Known Implementing Classes:
  InboundHandshake, RTMPHandshake

    public interface IHandshake

Base interface for Handshake classes.

Author:
  Paul Gregoire (mondain@gmail.com)

### Method Summary

Methods
`org.apache.mina.core.buffer.IoBuffer` `doHandshake(org.apache.mina.core.buffer.IoBuffer input)`
`boolean` `validate(org.apache.mina.core.buffer.IoBuffer input)`

### Method Detail

#### doHandshake

    org.apache.mina.core.buffer.IoBuffer doHandshake(org.apache.mina.core.buffer.IoBuffer input)

#### validate

    boolean validate(org.apache.mina.core.buffer.IoBuffer input)